{
  "name": "@serve.zone/gitops",
  "version": "2.6.2",
  "exports": "./mod.ts",
  "nodeModulesDir": "auto",
  "tasks": {
    "test": "deno test --allow-all test/",
    "dev": "pnpm run watch"
  },
  "imports": {
    "@std/path": "jsr:@std/path@^1.1.2",
    "@std/fs": "jsr:@std/fs@^1.0.19",
    "@std/encoding": "jsr:@std/encoding@^1.0.10",
    "@api.global/typedrequest-interfaces": "npm:@api.global/typedrequest-interfaces@^3.0.19",
    "@api.global/typedrequest": "npm:@api.global/typedrequest@^3.2.6",
    "@api.global/typedserver": "npm:@api.global/typedserver@^8.3.1",
    "@push.rocks/smartguard": "npm:@push.rocks/smartguard@^3.1.0",
    "@push.rocks/smartjwt": "npm:@push.rocks/smartjwt@^2.2.1",
    "@apiclient.xyz/gitea": "npm:@apiclient.xyz/gitea@^1.0.3",
    "@apiclient.xyz/gitlab": "npm:@apiclient.xyz/gitlab@^2.0.3",
    "@push.rocks/smartmongo": "npm:@push.rocks/smartmongo@^5.1.0",
    "@push.rocks/smartdata": "npm:@push.rocks/smartdata@^7.0.15",
    "@push.rocks/smartsecret": "npm:@push.rocks/smartsecret@^1.0.1"
  },
  "compilerOptions": {
    "lib": [
      "deno.window",
      "deno.ns"
    ],
    "strict": true,
    "noImplicitAny": true,
    "strictNullChecks": true,
    "noUnusedLocals": false,
    "noUnusedParameters": false
  },
  "fmt": {
    "useTabs": false,
    "lineWidth": 100,
    "indentWidth": 2,
    "semiColons": true,
    "singleQuote": true,
    "proseWrap": "preserve"
  },
  "lint": {
    "rules": {
      "tags": [
        "recommended"
      ]
    }
  }
}
